/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: ExportFilter.idl,v $
 * $Revision: 1.9 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

#ifndef _COM_SUN_STAR_XML_EXPORTFILTER_IDL__
#define _COM_SUN_STAR_XML_EXPORTFILTER_IDL__

#ifndef _COM_SUN_STAR_XML_XEXPORTFILTER_IDL__
#include <com/sun/star/xml/XExportFilter.idl>
#endif


module com { module sun { module star { module xml { 

/** describes an export filter for XML-based file formats.

   <p>First, the <method>XExportFilter::exporter</method> method must be 
   called to provide the export component with the target location to 
   which the data should be exported. Then, the source document's XML 
   representation will be generated by calling the appropriate methods 
   of the <type scope="com::sun::star::xml::sax">XDocumentHandler</type> 
   interface.  Error conditions must be signalled by throwing 
   a <type scope="com::sun::star::xml::sax">SAXException</type> in the 
   <type scope="com::sun::star::xml::sax">XDocumentHandler</type> calls.

    @since OOo 1.1.2
 */
published service ExportFilter
{
    /** The data will be passed in through the 
        <type scope="com::sun::star::xml::sax">XDocumentHandler</type> calls. */
    interface com::sun::star::xml::sax::XDocumentHandler;

    /** The <method>XExportFilter:exporter()</method> call will provide the 
        <type scope="com::sun::star::document">TypeDetection</type> user data 
        required to perform the filtering correctly.
    */ 
    interface com::sun::star::xml::XExportFilter;
};

}; }; }; }; 
#endif
